package net.mcreator.rab_first_mod;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.item.ItemStack;
import net.minecraft.item.Item;
import net.minecraft.inventory.EquipmentSlotType;
import net.minecraft.entity.ai.attributes.AttributeModifier;
import net.minecraft.entity.SharedMonsterAttributes;
import net.minecraft.block.BlockState;

import com.google.common.collect.Multimap;

@Elementsrab_first_mod.ModElement.Tag
public class MCreatorSword extends Elementsrab_first_mod.ModElement {
	@ObjectHolder("rab_first_mod:sword")
	public static final Item block = null;

	public MCreatorSword(Elementsrab_first_mod instance) {
		super(instance, 8);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new ItemCustom());
	}

	public static class ItemCustom extends Item {
		public ItemCustom() {
			super(new Item.Properties().group(MCreatorRbWeapons.tab).maxStackSize(1));
			setRegistryName("sword");
		}

		@Override
		public int getItemEnchantability() {
			return 20;
		}

		@Override
		public int getUseDuration(ItemStack itemstack) {
			return 2500;
		}

		@Override
		public float getDestroySpeed(ItemStack par1ItemStack, BlockState par2Block) {
			return 1.5F;
		}

		@Override
		public Multimap<String, AttributeModifier> getAttributeModifiers(EquipmentSlotType slot) {
			Multimap<String, AttributeModifier> multimap = super.getAttributeModifiers(slot);
			if (slot == EquipmentSlotType.MAINHAND) {
				multimap.put(SharedMonsterAttributes.ATTACK_DAMAGE.getName(), new AttributeModifier(ATTACK_DAMAGE_MODIFIER, "item_damage",
						(double) 119, AttributeModifier.Operation.ADDITION));
				multimap.put(SharedMonsterAttributes.ATTACK_SPEED.getName(), new AttributeModifier(ATTACK_SPEED_MODIFIER, "item_attack_speed", -2.4,
						AttributeModifier.Operation.ADDITION));
			}
			return multimap;
		}
	}
}
